data:extend(
	{
		{
			type = "font",
			name = "timetools_font",
			from = "default",
			border = false,
			size = 15
		},
		{
			type = "font",
			name = "timetools_font_bold",
			from = "default-bold",
			border = false,
			size = 15
		},
	}
)

local default_gui = data.raw["gui-style"].default

default_gui.timetools_frame_style = 
{
	type="frame_style",
	parent="frame_style",
	top_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	right_padding = 0,
}

default_gui.timetools_flow_style = 
{
	type="flow_style",
	parent="flow_style",
	top_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	right_padding = 0,
	
	horizontal_spacing = 2,
	vertical_spacing = 0,
	max_on_row = 0,
	resize_row_to_width = true,
	
	graphical_set = { type = "none" },
}

default_gui.timetools_label_style =
{
	type="label_style",
	parent="label_style",
	font="timetools_font",
	align = "left",
	default_font_color={r=1, g=1, b=1},
	hovered_font_color={r=1, g=1, b=1},
	top_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	right_padding = 0,
}

default_gui.timetools_button_style = 
{
	type="button_style",
	parent="button_style",
	font="timetools_font_bold",
	align = "center",
	default_font_color={r=1, g=1, b=1},
	hovered_font_color={r=1, g=1, b=1},
	top_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	right_padding = 0,
	left_click_sound =
	{
		{
		  filename = "__core__/sound/gui-click.ogg",
		  volume = 1
		}
	},
}

function extract_monolith(xx, yy)
	return {
		type = "monolith",

		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,

		monolith_image = {
			filename = "__TimeTools__/graphics/gui.png",
			priority = "extra-high-no-scale",
			width = 23,
			height = 30,
			x = xx,
			y = yy,
		},
	}
end

default_gui.timetools_button_always_day_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = false,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = 23,
	height = 30,

	default_graphical_set = extract_monolith(0,  0),
	hovered_graphical_set = extract_monolith(23,  0),
	clicked_graphical_set = extract_monolith(46,  0),
}

default_gui.timetools_button_night_and_day_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = false,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = 23,
	height = 30,

	default_graphical_set = extract_monolith(0,  30),
	hovered_graphical_set = extract_monolith(23,  30),
	clicked_graphical_set = extract_monolith(46,  30),
}

