-- Here are the configurable settings.
creative_mode_config = {}

-- Miscellaneous settings
creative_mode_config.misc =
{
	-- When this mod is enabled via lua command, whether the player's reaching distance will be increased.
	also_increase_player_reach = true,
	-- When this mod is enabled via lua command, whether the player's mining speed will be increased.
	also_increase_player_mining_speed = true,
	-- When this mod is enabled via lua command, whether additional popups will be shown for enabling other features like cheat mode, research all technologies and make all surfaces always day.
	also_show_popups_for_more_features = true
}

-- Settings about the item source.
creative_mode_config.item_source =
{
	-- Whether the item source will insert the items into vehicle's inventory if the vehicle is in front of it and there is no transport belt.
	can_insert_to_vehicle = true,

	-- Whether the item source will insert the items into player's inventory if the player is in front of it and there is no transport belt or vehicle.
	can_insert_to_player = true,
	
	-- Whether the item source will insert only the items only once into player's inventory if the player is standing in front of it. To insert more items, player has to move away and go back or change the filter.
	-- If it is set to false, the item source will insert items into player's inventory in every tick.
	-- Only works when can_insert_to_player is true.
	insert_only_once_to_player = true,
	
	-- The amount of item to be inserted into player's inventory in each time.
	-- Only works when insert_only_once_to_player is true.
	insert_to_player_amount = 1,
	
	-- Whether the value of insert_to_player_amount means the number of stacks.
	-- If it is set to false, it means the number of items instead.
	insert_to_player_by_stack = true,
	
	-- Whether the item source will drop the items on ground if there is no entity in front of it.
	can_drop_on_ground = false,
}

-- Settings about the item void.
creative_mode_config.item_void =
{
	-- Whether the item void will remove the items from vehicle's inventory if the vehicle is in front of it and there is no transport belt.
	can_remove_from_vehicle = false,

	-- Whether the item void will remove the items from player's inventory if the player is in front of it and there is no transport belt or vehicle.
	can_remove_from_player = false,
	
	-- Whether the item void will remove the items on ground in front of it if there is no other entity in front of it.
	can_remove_from_ground = false,
}