-- Here are the values that are shared across different files.
creative_mode_defines = {}

-- Path to the mod's directory
creative_mode_defines.mod_directory = "__creative-mode__"
-- Prefix of the entity names and item names
creative_mode_defines.name_prefix = "creative-mode_"
-- Dictionary about the empty.png
creative_mode_defines.empty_png = {}
-- Path to the empty.png
creative_mode_defines.empty_png.path = "__core__/graphics/empty.png"
-- Data about the empty.png
creative_mode_defines.empty_png.data = {filename = creative_mode_defines.empty_png.path, priority = "extra-high", width = 1,height = 1}
-- Data about the energy source for creative tools that doesn't require electricity.
creative_mode_defines.non_electric_energy_source = {type = "burner", effectivity = 1, fuel_inventory_size = 0}

-- Names
creative_mode_defines.names = {}
-- Entity names
creative_mode_defines.names.entities =
{
	item_source			= creative_mode_defines.name_prefix .. "item-source",
	item_void			= creative_mode_defines.name_prefix .. "item-void",
	fluid_source		= creative_mode_defines.name_prefix .. "fluid-source",
	fluid_void			= creative_mode_defines.name_prefix .. "fluid-void",
	energy_source		= creative_mode_defines.name_prefix .. "energy-source",
	energy_void			= creative_mode_defines.name_prefix .. "energy-void",
	super_electric_pole	= creative_mode_defines.name_prefix .. "super-electric-pole"
}
-- Item names
creative_mode_defines.names.items = 
{
	item_source			= creative_mode_defines.name_prefix .. "item-source",
	item_void			= creative_mode_defines.name_prefix .. "item-void",
	fluid_source		= creative_mode_defines.name_prefix .. "fluid-source",
	fluid_void			= creative_mode_defines.name_prefix .. "fluid-void",
	energy_source		= creative_mode_defines.name_prefix .. "energy-source",
	energy_void			= creative_mode_defines.name_prefix .. "energy-void",
	energy_absorption	= creative_mode_defines.name_prefix .. "energy-absorption",
	super_electric_pole	= creative_mode_defines.name_prefix .. "super-electric-pole"
}
-- Item group names
creative_mode_defines.names.item_groups =
{
	creative_tools = creative_mode_defines.name_prefix .. "creative-tools",
}
-- Item subgroup names
creative_mode_defines.names.item_subgroups =
{
	resources	= creative_mode_defines.name_prefix .. "resources",
	energy		= creative_mode_defines.name_prefix .. "energy",
	free_fluids	= creative_mode_defines.name_prefix .. "free-fluids"
}
-- Recipe names
creative_mode_defines.names.recipes =
{
	item_source			= creative_mode_defines.name_prefix .. "item-source",
	item_void			= creative_mode_defines.name_prefix .. "item-void",
	fluid_source		= creative_mode_defines.name_prefix .. "fluid-source",
	fluid_void			= creative_mode_defines.name_prefix .. "fluid-void",
	energy_source		= creative_mode_defines.name_prefix .. "energy-source",
	energy_void			= creative_mode_defines.name_prefix .. "energy-void",
	energy_absorption	= creative_mode_defines.name_prefix .. "energy-absorption",
	super_electric_pole	= creative_mode_defines.name_prefix .. "super-electric-pole"
}
-- Recipe categories
creative_mode_defines.names.recipe_categories =
{
	free_fluids			= creative_mode_defines.name_prefix .. "free-fluids",
	energy_absorption	= creative_mode_defines.name_prefix .. "energy-absorption"
}
-- Interface name
creative_mode_defines.names.interface = "creative-mode"
-- GUI element names
creative_mode_defines.names.gui =
{
	enable_cheat_mode_yes			= creative_mode_defines.name_prefix .. "enable-cheat-mode_yes",
	enable_cheat_mode_no			= creative_mode_defines.name_prefix .. "enable-cheat-mode_no",
	research_all_tech_yes			= creative_mode_defines.name_prefix .. "research-all-tech_yes",
	research_all_tech_no			= creative_mode_defines.name_prefix .. "research-all-tech_no",
	make_all_surface_always_day_yes	= creative_mode_defines.name_prefix .. "make-all-surfaces-always-day_yes",
	make_all_surface_always_day_no	= creative_mode_defines.name_prefix .. "make-all-surfaces-always-day_no"
}

-- Prefix for the names of free fluid recipes
creative_mode_defines.names.free_fluid_recipe_prefix = creative_mode_defines.name_prefix .. "free-fluid-"